<?php
/**
 *  create_dbNavigator()
 *  ======================================================================= //
 */
function create_dbNavigator( $dbnavigator, $dbnavigator_Conf )
{
  global $modo_RAD;

  $path  = ( $modo_RAD )? _CFG_ : _CFG_;
  $dataSet = '';

  writeTO( '    <div id="'.$dbnavigator.'_Box"> '                    );
  writeTO( '      <button id="'.$dbnavigator.'_first" type="button">' );
  writeTO( '        <img id="'.$dbnavigator.'_first_" src="imagens/db_first.gif"' );
  writeTO( '             alt="primeiro" />' );
  writeTO( '      </button>' );
  writeTO( '      <button id="'.$dbnavigator.'_prior" type="button">' );
  writeTO( '      <img id="'.$dbnavigator.'_prior_" src="imagens/db_prior.gif"' );
  writeTO( '           alt="anterior" />' );
  writeTO( '      </button>' );
  writeTO( '      <button id="'.$dbnavigator.'_next">' );
  writeTO( '      <img id="'.$dbnavigator.'_next_"  src="imagens/db_next.gif"' );
  writeTO( '           alt="proximo" />' );
  writeTO( '      <button id="'.$dbnavigator.'_last">' );
  writeTO( '      <img id="'.$dbnavigator.'_last_"  src="imagens/db_last.gif"' );
  writeTO( '           alt="ultimo" />' );
  writeTO( '      </button>' );

  writeTO( '      <button id="'.$dbnavigator.'_insert">' );
  writeTO( '      <img id="'.$dbnavigator.'_insert_" src="imagens/db_insert.gif"' );
  writeTO( '           alt="incluir" />' );
  writeTO( '      </button>' );
  writeTO( '      <button id="'.$dbnavigator.'_delete">' );
  writeTO( '      <img id="'.$dbnavigator.'_delete_" src="imagens/db_delete.gif"' );
  writeTO( '           alt="deletar" />' );
  writeTO( '      </button>' );
  writeTO( '      <button id="'.$dbnavigator.'_post">' );
  writeTO( '      <img id="'.$dbnavigator.'_save_" src="imagens/db_post.gif"' );
  writeTO( '           alt="post" />' );
  writeTO( '      </button>' );
  writeTO( '      <button id="'.$dbnavigator.'_edit">' );
  writeTO( '      <img id="'.$dbnavigator.'_save_" src="imagens/db_edit.gif"' );
  writeTO( '           alt="edit" />' );
  writeTO( '      </button>' );
  writeTO( '      <button id="'.$dbnavigator.'_refresh">' );
  writeTO( '      <img id="'.$dbnavigator.'_save_" src="imagens/db_refresh.gif"' );
  writeTO( '           alt="refresh" />' );
  writeTO( '      </button>' );
  writeTO( '      <button id="'.$dbnavigator.'_cancel">' );
  writeTO( '      <img id="'.$dbnavigator.'_cancel_" src="imagens/db_cancel.gif"' );
  writeTO( '           alt="cancel" />' );
  writeTO( '      </button>' );
  writeTO( '    </div end="'.$dbnavigator.'_Box"> '                  );

/**
 *  Criar os arquivos de Eventos (se não existirem)
 *  ========================================================================  //
 *
 */
  create_file_of_evento( "dbNavigator", "onClick" );
  create_file_of_evento( "dbNavigator", "onDown" );
  create_file_of_evento( "dbNavigator", "onUp" );


/**
 *  Evento onClick do Componente  ------------------------------------------  //
 */
  $nFile = _INC_ . "onClick_dbNavigator.js.php";
  if( !file_exists( $nFile ) )
  {
    $_fp_  = @fopen( $nFile, 'wb');
    @fwrite($_fp_, "dbNavigator_mouseClick( objectID );" );
    @fclose( $_fp_ );
  }// End
/**
 *  Evento onDown do Componente  ------------------------------------------  //
 */
  $nFile = _INC_ . "onDown_dbNavigator.js.php";
  if( !file_exists( $nFile ) )
  {
    $_fp_  = @fopen( $nFile, 'wb');
    @fwrite($_fp_, "dbNavigator_mouseDown( objectID );" );
    @fclose( $_fp_ );
  }// End

}// End function create_dbNavigator( $dbnavigator, $dbnavigator_Conf )



function create_dbNavigator_css( $dbnavigator,
                            $dbnavigator_Global,
                            $dbnavigator_Style,
                            $dbnavigator_Conf,
                            $flag_dbnavigator )
{
  global $projeto,
         $esquema;
         
  $back_ground = $esquema[$projeto['esquema']]['ButtonFace'];
  if( defined('STUDIO') )
  {
    $visible = 'visible';
  }else
  {
    $visible = ($dbnavigator_Conf['visible'] == 'true' ) ? 'inherit':'hidden';
  }// End if( defined('STUDIO') )
  
  writeTO( '  #' . $dbnavigator . '{ '                           );
  writeTO( '    position:absolute; '                             );
  writeTO( '    top:'  . $dbnavigator_Global['top'] . 'px;'      );
  writeTO( '    left:' . $dbnavigator_Global['left'] . 'px;'     );
  writeTO( '    width:' . $dbnavigator_Global['width'] . 'px;'   );
  writeTO( '    height:' . $dbnavigator_Global['height'] . 'px;' );
  writeTO( '    '                                           );
  writeTO( '    visibility:' . $visible .  ';'              );
  writeTO( '};' );
  writeTO( '    '                                                );
  writeTO( '  #' . $dbnavigator . '_Box{ '                           );
  writeTO( '    position:absolute; '                             );
  writeTO( '    top:0px'                              . ';' );
  writeTO( '    left:0px'                             . ';' );
  writeTO( '    background-color:' . $back_ground . ';'     );
  writeTO( '    '                                           );
  writeTO( '    border-top: ' . $dbnavigator_Style['borderTop']    .   ';' );
  writeTO( '    border-bottom:' . $dbnavigator_Style['borderBottom'] . ';' );
  writeTO( '    border-left:' . $dbnavigator_Style['borderLeft']   .   ';' );
  writeTO( '    border-right:' . $dbnavigator_Style['borderRight']  .  ';' );
  writeTO( '};' );
  writeTO( '    '                                                );

//  writeTO( '  #' . $dbnavigator . '_first{ '                          );
//  writeTO( '    position:absolute; '                                 );
//  writeTO( '    background-color:#FFFFFF;'     );
//  writeTO( '    '                                           );
//  writeTO( '    border: 2px solid #B0B0B0;' );
//  writeTO( '    border-top: ' . $dbnavigator_Style['borderTop']    .   ';' );
//  writeTO( '    border-bottom:' . $dbnavigator_Style['borderBottom'] . ';' );
//  writeTO( '    border-left:' . $dbnavigator_Style['borderLeft']   .   ';' );
//  writeTO( '    border-right:' . $dbnavigator_Style['borderRight']  .  ';' );
//  writeTO( '};' );
  writeTO( '    '                                                );
}// End function create_dbNavigator_css()


/**
 *  create_button_control()
 *  ======================================================================= //
 */
function create_dbNavigator_control( $modo_RAD )
{
  global $componentes_no_Prj,
         $projeto,
         $esquema;
  $path  = ( defined('STUDIO') )? _CFG_ : _CFG_;

  $nDest = $path . "dbnavigator.control.js.php";
  $comp  = $componentes_no_Prj;

  $fp = @fopen( $nDest, 'wb' );
  foreach( $comp as $comp_ => $obj_ )
  {
    if( $comp_ == 'dbnavigator' )
    {
      $nrObj  = 0;
      $arrObj = array();
      $arrConf = array();
      foreach( $obj_ as $i_ => $v_ )
      {
        $arrObj[ $nrObj ] = $i_;

        /**
         *  inclui o arquivo .config.def.php de cada Objeto
         */
        include( $path . $i_ . ".config.def.php" );
        $nConf_ = $i_ . "_Conf";
        $arrConf[$i_] = $$nConf_;

        $nrObj ++;
      }// end foreach( $obj_ as $i_ => $v_ )
      writeTO( 'dbnavigator_obj = '. $nrObj .';', $fp );
      writeTO( 'dbnavigator_dataset = new Array();',        $fp );
      writeTO( ' ',                                    $fp );

      $idx = 0;
      foreach( $arrConf as $ind_ => $val_ )
      {
        $_dts_ = ( isset( $val_['data_set'] ) ) ? $val_['data_set'] : "" ;
        writeTO( 'dbnavigator_dataset[' . $idx . '] = "'. $_dts_ .'";', $fp );
        $idx++;
      }// End
    }//
  }//
  fclose( $fp );

  return( $nDest );
}// End function create_dbNavigator_control( $modo_RAD )

